Get task time spent for date

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /actions/tasks/{task_id}/time-spents/{date}

Path parameters

  • task_id string Required
  • date string Required

Responses

  • 200 application/json

    Time spent on the task for the date

    Hide response attributes Show response attributes object
    • id string(uuid)
    • task_id string(uuid)
    • person_id string(uuid)
    • date string(date)
    • duration number
    • created_at string(date-time)
GET /actions/tasks/{task_id}/time-spents/{date}
curl -X GET "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "task_id": "b24a6ea4-ce75-4665-a070-57453082c25",
    "person_id": "c24a6ea4-ce75-4665-a070-57453082c25",
    "date": "2022-07-12",
    "duration": 120,
    "created_at": "2024-01-15T10:30:00Z"
  }
]